Bug 221632 - java.io.IOException When opening nps file with extension npss
java.io.IOException When opening nps file with extension npss
Status: RESOLVED FIXED
Product: profiler
Classification: Unclassified
Component: Base
7.3
All All
: P3 (vote)
: 7.3
Assigned To: Jiri Sedlacek
issues@profiler
EXCEPTIONS_REPORT
: VISUALVM
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-11-07 12:38 UTC by Ralph Ruijs
Modified: 2013-07-04 07:22 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments
stacktrace (890 bytes, text/plain)
2012-11-07 12:38 UTC, Ralph Ruijs
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Ralph Ruijs 2012-11-07 12:38:49 UTC
This bug was originally marked as duplicate of bug 205547, that is already resolved. This bug is still valid, so this seems to be another bug, but it might be related.

Build: NetBeans IDE Dev (Build 20121107-33bfdb7d7bc2)
VM: OpenJDK 64-Bit Server VM, 23.2-b09, OpenJDK Runtime Environment, 1.7.0_07-b30
OS: Linux

User Comments:
ralphbenjamin: tried to open snapshot from http://netbeans.org/bugzilla/show_bug.cgi?id=213588




Stacktrace: 
java.io.IOException: Invalid header nBpR
   at org.netbeans.modules.profiler.LoadedSnapshot$SamplesInputStream.readHeader(LoadedSnapshot.java:615)
   at org.netbeans.modules.profiler.LoadedSnapshot$SamplesInputStream.<init>(LoadedSnapshot.java:551)
   at org.netbeans.modules.profiler.SampledCPUSnapshot.<init>(SampledCPUSnapshot.java:82)
   at org.netbeans.modules.profiler.snaptracer.impl.IdeSnapshot.<init>(IdeSnapshot.java:78)
   at org.netbeans.modules.profiler.snaptracer.impl.NpssDataObject.openImpl(NpssDataObject.java:101)
   at org.netbeans.modules.profiler.snaptracer.impl.NpssDataObject.access$000(NpssDataObject.java:67)
Comment 1 Ralph Ruijs 2012-11-07 12:38:50 UTC
Created attachment 127303 [details]
stacktrace
Comment 2 Jiri Sedlacek 2012-11-08 12:13:10 UTC
Applied the same fix as in Bug 205547. Error dialog now displays a 'Not a NPSS snapshot' message.

Fixed by http://hg.netbeans.org/profiler-main/rev/9f2d9c44c268.
Comment 3 Quality Engineering 2012-11-15 02:45:32 UTC
Integrated into 'main-golden', will be available in build *201211150001* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/9f2d9c44c268
User: Jiri Sedlacek <jis@netbeans.org>
Log: Bugfix #221632, display an error dialog with Not a 'NPSS snapshot message' for .nps files with .npss extension


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo